Subject: Control vector X'46' subfields X'A5' and X'A6' for X.25

From: "Andrew S. Barclay" <[email-masked]>
Date: Wed, 24 Jan 96 11:45:51 EST

The formats of the subject subfields were intended to follow the
definitions given in ITU-T (CCITT) Recommendation X.25.  Unfortunately,
I made an error in the wording of the address length field.  The proposed
wording change shown below brings the formats into agreement with the
X.25 Recommendation.

-----------------------

Current wording in subfield X'A5' for called DTE address and X'A6' for
calling DTE address for X25SVC:

3-n     Address Information for Address Format Type Indicator = 1

3       Length, in binary, of called(calling) DTE address in half-bytes
        (number of BCD digits - maximum of 17 for X.121 address)

Proposed wording in subfield A5 and A6:

3-n     Address Information for Address Format Type Indicator = 1

3       Length, in binary, of called(calling) DTE address field
        in half-bytes (The TOA/NPI indicators are included in this
        length, which has a maximum value of 17 for X.121 addresses.)

-----------------------

The comple updated text is shown in the change pages that have been
posted in the file:

ftp://networking.raleigh.ibm.com/pub/standards/aiw/appn/architecture/
arch8360f.psbin.

Please review and comment on this proposal.  I will assume approval for
Closed Pages (CP) status if I receive no objections by February 21, 1996.

Andy Barclay